GNU bug report logs - #7372
multibyte: fmt and multi-byte encodings

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: coreutils; Severity: wishlist; Reported by: Ineiev <ineiev@HIDDEN>; dated Thu, 11 Nov 2010 09:42:03 UTC; Maintainer for coreutils is bug-coreutils@HIDDEN.
Changed bug title to 'multibyte: fmt and multi-byte encodings' from 'fmt and multi-byte encodings' Request was from Assaf Gordon <assafgordon@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Severity set to 'wishlist' from 'normal' Request was from Assaf Gordon <assafgordon@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 12 Nov 2010 09:56:13 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Nov 12 04:56:13 2010
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1PGqMf-0003A0-7Y
	for submit <at> debbugs.gnu.org; Fri, 12 Nov 2010 04:56:13 -0500
Received: from eggs.gnu.org ([140.186.70.92])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <auerswal@HIDDEN>) id 1PGqMd-00039v-4p
	for submit <at> debbugs.gnu.org; Fri, 12 Nov 2010 04:56:12 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <auerswal@HIDDEN>) id 1PGqRG-00039S-Jo
	for submit <at> debbugs.gnu.org; Fri, 12 Nov 2010 05:00:59 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.1 (2010-03-16) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-4.2 required=5.0 tests=BAYES_00,RCVD_IN_DNSWL_MED,
	T_RP_MATCHES_RCVD autolearn=unavailable version=3.3.1
Received: from lists.gnu.org ([199.232.76.165]:46609)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <auerswal@HIDDEN>) id 1PGqRG-00039O-Gw
	for submit <at> debbugs.gnu.org; Fri, 12 Nov 2010 05:00:58 -0500
Received: from [140.186.70.92] (port=56630 helo=eggs.gnu.org)
	by lists.gnu.org with esmtp (Exim 4.43) id 1PGqRF-0008Ot-Kw
	for bug-coreutils@HIDDEN; Fri, 12 Nov 2010 05:00:58 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <auerswal@HIDDEN>) id 1PGqRE-00038j-93
	for bug-coreutils@HIDDEN; Fri, 12 Nov 2010 05:00:57 -0500
Received: from mailgw1.uni-kl.de ([131.246.120.220]:56879)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <auerswal@HIDDEN>) id 1PGqRE-00035m-0f
	for bug-coreutils@HIDDEN; Fri, 12 Nov 2010 05:00:56 -0500
Received: from sushi.unix-ag.uni-kl.de (sushi.unix-ag.uni-kl.de
	[IPv6:2001:638:208:ef34:0:ff:fe00:65])
	by mailgw1.uni-kl.de (8.14.3/8.14.3/Debian-5+lenny1) with ESMTP id
	oACA0fHS014831
	(version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=NOT)
	for <bug-coreutils@HIDDEN>; Fri, 12 Nov 2010 11:00:41 +0100
Received: from sushi.unix-ag.uni-kl.de (ip6-localhost [IPv6:::1])
	by sushi.unix-ag.uni-kl.de (8.14.3/8.14.3/Debian-5+lenny1) with ESMTP
	id oACA0fo2006021
	(version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=NO)
	for <bug-coreutils@HIDDEN>; Fri, 12 Nov 2010 11:00:41 +0100
Received: (from auerswal@localhost)
	by sushi.unix-ag.uni-kl.de (8.14.3/8.14.3/Submit) id oACA0fr7006020
	for bug-coreutils@HIDDEN; Fri, 12 Nov 2010 11:00:41 +0100
Date: Fri, 12 Nov 2010 11:00:41 +0100
From: Erik Auerswald <auerswal@HIDDEN>
To: bug-coreutils@HIDDEN
Subject: Re: bug#7372: fmt and multi-byte encodings
Message-ID: <20101112100041.GA5106@HIDDEN>
Mail-Followup-To: Erik Auerswald <auerswal@HIDDEN>,
	bug-coreutils@HIDDEN
References: <AANLkTimePzrA3Tc4faEJrfHBkaG4k3errJeTddPpCXg-@mail.gmail.com>
	<4CDC133E.9000106@HIDDEN>
	<AANLkTimSmZFtpF8T2weL9cL04kGfEvrO_5MaZ006xfod@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=iso-8859-1
Content-Disposition: inline
In-Reply-To: <AANLkTimSmZFtpF8T2weL9cL04kGfEvrO_5MaZ006xfod@HIDDEN>
User-Agent: Mutt/1.5.18 (2008-05-17)
Content-Transfer-Encoding: quoted-printable
X-MIME-Autoconverted: from 8bit to quoted-printable by mailgw1.uni-kl.de id
	oACA0fHS014831
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6 (newer, 3)
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6 (newer, 2)
X-Spam-Score: -6.5 (------)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -6.5 (------)

On Fri, Nov 12, 2010 at 11:13:20AM +0400, Ineiev wrote:
> On 11/11/10, P=E1draig Brady <P@HIDDEN> wrote:
> > We're starting to apply multi-byte support,
> > so hopefully this will be fixed soon.
>=20
> Could you provide a link?
>=20
> > $ echo "1 2 =E6 4 5 6" | fmt -w6
> > 1 2
> > =E6 4
> > 5 6
>=20
> While should be
> 1 2 =E6
> 4 5 6
>=20
> > That is with the official fedora
> > version of `fmt`
>=20
> I can confirm that fmt from official GNU coreutils-8.6 does the same.

The same with coreutils 6.10 on debian Lenny:

$ echo "1 2 3 4 5 6" | fmt -w6
1 2 3
4 5 6
$ echo "1 2 =FC 4 5 6" | fmt -w6
1 2
=FC 4
5 6
$ fmt --version
fmt (GNU coreutils) 6.10
Copyright (C) 2008 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later
<http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by Ross Paterson.
$

(Just as a reference.)

Erik
--=20
But heck, system administration is hard, what's a little more rope?
Here, hold this gun while I position your foot...
                        -- Valerie Aurora




Information forwarded to owner <at> debbugs.gnu.org, bug-coreutils@HIDDEN:
bug#7372; Package coreutils. Full text available.

Message received at 7372 <at> debbugs.gnu.org:


Received: (at 7372) by debbugs.gnu.org; 12 Nov 2010 07:08:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Nov 12 02:08:34 2010
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1PGnkQ-00024u-9j
	for submit <at> debbugs.gnu.org; Fri, 12 Nov 2010 02:08:34 -0500
Received: from mail-iw0-f172.google.com ([209.85.214.172])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <ineiev@HIDDEN>) id 1PGnkO-00024n-LZ
	for 7372 <at> debbugs.gnu.org; Fri, 12 Nov 2010 02:08:33 -0500
Received: by iwn40 with SMTP id 40so3150178iwn.3
	for <7372 <at> debbugs.gnu.org>; Thu, 11 Nov 2010 23:13:20 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=gamma;
	h=domainkey-signature:mime-version:received:received:in-reply-to
	:references:date:message-id:subject:from:to:cc:content-type
	:content-transfer-encoding;
	bh=8rHWsjT6IYyX0k2RtZ+8fOMnWIqZjhitBQYliJpx8CY=;
	b=pRamqbEZ9wWcQNPDpMQSauDZietluRnWl5c90uy2TjI90rVoX8mFytc5Bd2HO0py4v
	RWk0rEs1VQfsuy5veFbWnGtcw5TBC9qALOWcKfPCLmyGUGOFj0kKhzD7EIFmlN8s60y4
	BtUgx0ny1L+HYy2wp1aXw/vA6W7osU/DZw/N4=
DomainKey-Signature: a=rsa-sha1; c=nofws; d=gmail.com; s=gamma;
	h=mime-version:in-reply-to:references:date:message-id:subject:from:to
	:cc:content-type:content-transfer-encoding;
	b=potPUeSTSa4WGaXiwkGB3XmDSRoZD0MozL6IRUmciqZ06L4ogEWVOvs3lp2TDB1EAo
	mwSYt8GBsG7IdlQ2SOKiMhu0R3PP5V6oFdtyOnYDc6fcI2t/3Vp3J687Zj/s6ebXdL+9
	cfcmr4fbRPq9fRntlesyxE40ITUp5DKn2MLKU=
MIME-Version: 1.0
Received: by 10.231.10.132 with SMTP id p4mr1629847ibp.40.1289546000490; Thu,
	11 Nov 2010 23:13:20 -0800 (PST)
Received: by 10.231.187.145 with HTTP; Thu, 11 Nov 2010 23:13:20 -0800 (PST)
In-Reply-To: <4CDC133E.9000106@HIDDEN>
References: <AANLkTimePzrA3Tc4faEJrfHBkaG4k3errJeTddPpCXg-@mail.gmail.com>
	<4CDC133E.9000106@HIDDEN>
Date: Fri, 12 Nov 2010 11:13:20 +0400
Message-ID: <AANLkTimSmZFtpF8T2weL9cL04kGfEvrO_5MaZ006xfod@HIDDEN>
Subject: Re: bug#7372: fmt and multi-byte encodings
From: Ineiev <ineiev@HIDDEN>
To: =?ISO-8859-1?Q?P=E1draig_Brady?= <P@HIDDEN>
Content-Type: text/plain; charset=ISO-8859-1
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -4.3 (----)
X-Debbugs-Envelope-To: 7372
Cc: 7372 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -3.7 (---)

On 11/11/10, P=E1draig Brady <P@HIDDEN> wrote:
> We're starting to apply multi-byte support,
> so hopefully this will be fixed soon.

Could you provide a link?

> $ echo "1 2 =E6 4 5 6" | fmt -w6
> 1 2
> =E6 4
> 5 6

While should be
1 2 =E6
4 5 6

> That is with the official fedora
> version of `fmt`

I can confirm that fmt from official GNU coreutils-8.6 does the same.

Thanks,
Ineiev




Information forwarded to owner <at> debbugs.gnu.org, bug-coreutils@HIDDEN:
bug#7372; Package coreutils. Full text available.

Message received at 7372 <at> debbugs.gnu.org:


Received: (at 7372) by debbugs.gnu.org; 11 Nov 2010 15:56:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Nov 11 10:56:30 2010
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1PGZVm-0003bJ-C0
	for submit <at> debbugs.gnu.org; Thu, 11 Nov 2010 10:56:30 -0500
Received: from mail1.slb.deg.dub.stisp.net ([84.203.253.98])
	by debbugs.gnu.org with smtp (Exim 4.69)
	(envelope-from <P@HIDDEN>) id 1PGZVj-0003bD-Ar
	for 7372 <at> debbugs.gnu.org; Thu, 11 Nov 2010 10:56:28 -0500
Received: (qmail 27401 invoked from network); 11 Nov 2010 16:01:12 -0000
Received: from unknown (HELO ?192.168.2.25?) (84.203.137.218)
	by mail1.slb.deg.dub.stisp.net with SMTP; 11 Nov 2010 16:01:12 -0000
Message-ID: <4CDC133E.9000106@HIDDEN>
Date: Thu, 11 Nov 2010 16:01:02 +0000
From: =?ISO-8859-1?Q?P=E1draig_Brady?= <P@HIDDEN>
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US;
	rv:1.9.1.8) Gecko/20100227 Thunderbird/3.0.3
MIME-Version: 1.0
To: Ineiev <ineiev@HIDDEN>
Subject: Re: bug#7372: fmt and multi-byte encodings
References: <AANLkTimePzrA3Tc4faEJrfHBkaG4k3errJeTddPpCXg-@mail.gmail.com>
In-Reply-To: <AANLkTimePzrA3Tc4faEJrfHBkaG4k3errJeTddPpCXg-@mail.gmail.com>
X-Enigmail-Version: 1.0.1
Content-Type: text/plain; charset=ISO-8859-1
Content-Transfer-Encoding: 8bit
X-Spam-Score: -2.7 (--)
X-Debbugs-Envelope-To: 7372
Cc: 7372 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.7 (--)

On 11/11/10 09:32, Ineiev wrote:
> Hello;
> 
> Today I fed a text in Russian in UTF-8 to fmt
> and discovered that the utility counts the line width
> in bytes rather than in characters (the lines written in
> Cyrillics were roughly twice as short as the lines
> written in Latin script), which was not what I wanted.
> I checked fmt from coreutils-8.6.
> 
> As a workaround, I could iconv the text into a single-byte
> encoding like KOI8-R, but I would limit the character
> set then.
> 
> I've never used fmt before personally, so actually I'm not
> sure whether it was a bug or I did something wrong.
> 
> Any hints?

We're starting to apply multi-byte support,
so hopefully this will be fixed soon.

$ echo "1 2 ĉ 4 5 6" | fmt -w6
1 2
ĉ 4
5 6

That is with the official fedora
version of `fmt`

cheers,
Pádraig





Information forwarded to owner <at> debbugs.gnu.org, bug-coreutils@HIDDEN:
bug#7372; Package coreutils. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 11 Nov 2010 09:41:37 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Nov 11 04:41:37 2010
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1PGTez-0000C2-12
	for submit <at> debbugs.gnu.org; Thu, 11 Nov 2010 04:41:37 -0500
Received: from eggs.gnu.org ([140.186.70.92])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <ineiev@HIDDEN>) id 1PGTRq-0008W3-A6
	for submit <at> debbugs.gnu.org; Thu, 11 Nov 2010 04:28:02 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <ineiev@HIDDEN>) id 1PGTWR-0000La-3k
	for submit <at> debbugs.gnu.org; Thu, 11 Nov 2010 04:32:47 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.1 (2010-03-16) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00,FREEMAIL_FROM,
	RCVD_IN_DNSWL_NONE,T_DKIM_INVALID,T_TO_NO_BRKTS_FREEMAIL
	autolearn=unavailable version=3.3.1
Received: from lists.gnu.org ([199.232.76.165]:51935)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <ineiev@HIDDEN>) id 1PGTWR-0000LW-1j
	for submit <at> debbugs.gnu.org; Thu, 11 Nov 2010 04:32:47 -0500
Received: from [140.186.70.92] (port=55777 helo=eggs.gnu.org)
	by lists.gnu.org with esmtp (Exim 4.43) id 1PGTWQ-0002AV-1P
	for bug-coreutils@HIDDEN; Thu, 11 Nov 2010 04:32:46 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <ineiev@HIDDEN>) id 1PGTWP-0000L9-1U
	for bug-coreutils@HIDDEN; Thu, 11 Nov 2010 04:32:45 -0500
Received: from mail-iw0-f169.google.com ([209.85.214.169]:34541)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <ineiev@HIDDEN>) id 1PGTWO-0000L1-Ul
	for bug-coreutils@HIDDEN; Thu, 11 Nov 2010 04:32:45 -0500
Received: by iwn9 with SMTP id 9so2166308iwn.0
	for <bug-coreutils@HIDDEN>; Thu, 11 Nov 2010 01:32:43 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=gamma;
	h=domainkey-signature:mime-version:received:received:date:message-id
	:subject:from:to:content-type;
	bh=EtBw0U4AaipN0ZTvduPsKkd2Chb53IxsI5UxhknXFO0=;
	b=NYqRH7cWgXkSsNT6+IKBdkvLiLx19DVej2f5KOUXEc5RbBx3UJwxnRNYJZ1eRaAHNu
	AnVBbHDwB1wFicZjHsMiST7PiFY+n34/1VdFdjZv+iy3QtLgjnQO+D8MTqtYK95YBsHD
	mymsdCJIHGGlam1SobIso7huyJLgFmHpkxiZE=
DomainKey-Signature: a=rsa-sha1; c=nofws; d=gmail.com; s=gamma;
	h=mime-version:date:message-id:subject:from:to:content-type;
	b=DOfsCoPv0qgicuETudKqmH+bbsdgdreV9yMz+m6VeNiCHF7JFDArICEK27lSjI5Sza
	w9HYHezgMDWlN7DYjrlH+BHM0PYLTylZV/R+T0wn/p672AhLkOJxcpj3TkKHanfVpuZf
	3C6PbRnOwsuIiMu8A+KNutM1B6EEb+eWVQxFs=
MIME-Version: 1.0
Received: by 10.231.10.132 with SMTP id p4mr359763ibp.40.1289467963419; Thu,
	11 Nov 2010 01:32:43 -0800 (PST)
Received: by 10.231.187.145 with HTTP; Thu, 11 Nov 2010 01:32:43 -0800 (PST)
Date: Thu, 11 Nov 2010 13:32:43 +0400
Message-ID: <AANLkTimePzrA3Tc4faEJrfHBkaG4k3errJeTddPpCXg-@mail.gmail.com>
Subject: fmt and multi-byte encodings
From: Ineiev <ineiev@HIDDEN>
To: bug-coreutils@HIDDEN
Content-Type: text/plain; charset=ISO-8859-1
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6 (newer, 2)
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6 (newer, 2)
X-Spam-Score: -5.9 (-----)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Thu, 11 Nov 2010 04:41:34 -0500
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -5.9 (-----)

Hello;

Today I fed a text in Russian in UTF-8 to fmt
and discovered that the utility counts the line width
in bytes rather than in characters (the lines written in
Cyrillics were roughly twice as short as the lines
written in Latin script), which was not what I wanted.
I checked fmt from coreutils-8.6.

As a workaround, I could iconv the text into a single-byte
encoding like KOI8-R, but I would limit the character
set then.

I've never used fmt before personally, so actually I'm not
sure whether it was a bug or I did something wrong.

Any hints?




Acknowledgement sent to Ineiev <ineiev@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-coreutils@HIDDEN. Full text available.
Report forwarded to owner <at> debbugs.gnu.org, bug-coreutils@HIDDEN:
bug#7372; Package coreutils. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 15 Oct 2018 17:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.